import { EventEmitter, Renderer2, ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { CloAlertConfig } from './alert-config';
/**
 * Alert banners communicate a state that affects the entire system, not just a feature or page. It persists over a session and appears
 * without the user initiating the action.
 *
 * It supports several alert types and can be dismissed.
 */
import * as ɵngcc0 from '@angular/core';
export declare class CloAlert implements OnInit, OnChanges {
    private _renderer;
    private _element;
    /**
     * If `true`, alert can be dismissed by the user.
     *
     * The close button (×) will be displayed and you can be notified
     * of the event with the `(close)` output.
     */
    dismissible: boolean;
    /**
     * Type of the alert.
     *
     *  The following types are supported: `'success'`, `'warning'`, `'error'`, `'no-internet'`,
     *  `'success-textOnly'`, `'warning-textOnly'`, `'error-textOnly'`,
     */
    type: string;
    /**
     * An event emitted when the close button is clicked. It has no payload and only relevant for dismissible alerts.
     */
    close: EventEmitter<void>;
    constructor(config: CloAlertConfig, _renderer: Renderer2, _element: ElementRef);
    closeHandler(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloAlert, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloAlert, "ngb-alert", never, { "dismissible": "dismissible"; "type": "type"; }, { "close": "close"; }, never, ["*"]>;
}

//# sourceMappingURL=alert.d.ts.map