import { EventEmitter } from '@angular/core';
/**
 * Buttons are used to make common actions immediately visible and easy to perform with one click, tap, or keypress.
 * Merchants can use them to navigate or to take action.
 *
 * It supports several button types.
 */
import * as ɵngcc0 from '@angular/core';
export declare class CloIconButton {
    /**
     * The label that is displayed on the button
     */
    label: string;
    /**s
     * Disable the button
     */
    disabled: boolean;
    /**
     * Type of the icon button.
     *
     *  The following types are supported: `'eye'`, `'pencil'`, `'heart'`, `'heart-fill'`,
     *  `'stack'`, `'trash'`, `'preview'`, `'edit'`, `'favorite'`, `'remove-favorite'`,
     *  `'copy'`, `'delete'`
     */
    type: string;
    /**
     * The default is secondary but you can also select `'tertiary'`
     */
    buttonStyle: string;
    buttonSubmitted: EventEmitter<any>;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloIconButton, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloIconButton, "clo-icon-button", never, { "buttonStyle": "buttonStyle"; "label": "label"; "disabled": "disabled"; "type": "type"; }, { "buttonSubmitted": "buttonSubmitted"; }, never, never>;
}

//# sourceMappingURL=button-icon.d.ts.map