import { Renderer2, ElementRef, OnInit, QueryList } from '@angular/core';
import * as ɵngcc0 from '@angular/core';
export declare class CloButtonLabel {
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloButtonLabel, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloButtonLabel, "[cloButtonLabel]", never, {}, {}, never>;
}
export declare class CloSplitItems {
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloSplitItems, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloSplitItems, "clo-split-item", never, {}, {}, never>;
}
/**
 * Buttons are used to make common actions immediately visible and easy to perform with one click, tap, or keypress.
 * Merchants can use them to navigate or to take action.
 *
 * It supports several button types.
 */
export declare class CloButton implements OnInit {
    private _renderer;
    private _element;
    private _hasChildren;
    dropdownItems: QueryList<CloSplitItems>;
    label: string;
    /**
     * If `true`, alert can be dismissed by the user.
     *
     * The close button (×) will be displayed and you can be notified
     * of the event with the `(close)` output.
     */
    disabled: boolean;
    /**
     * Type of the alert.
     *
     *  The following types are supported: `'success'`, `'warning'`, `'error'`, `'no-internet'`,
     *  `'success-textOnly'`, `'warning-textOnly'`, `'error-textOnly'`,
     */
    type: string;
    constructor(_renderer: Renderer2, _element: ElementRef);
    get hasChildren(): boolean;
    ngOnInit(): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloButton, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloButton, "clo-button", never, { "label": "label"; "disabled": "disabled"; "type": "type"; }, {}, ["dropdownItems"], never>;
}

//# sourceMappingURL=button.d.ts.map