import { Renderer2, ElementRef, QueryList, EventEmitter, AfterContentInit } from '@angular/core';
import * as ɵngcc0 from '@angular/core';
export declare class CloButtonGroupOption {
    /**
     * The initial selection. If not assigned then the first button will be selected.
     */
    isActive: false;
    /**
     * The display string for the button
     */
    label: string;
    /**
     * This value is what is returned when the corresponding button is selected.
     */
    value: any;
    constructor();
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloButtonGroupOption, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloButtonGroupOption, "clo-button-option", never, { "isActive": "isActive"; "label": "label"; "value": "value"; }, {}, never>;
}
/**
 * Buttons are used to make common actions immediately visible and easy to perform with one click, tap, or keypress.
 * Merchants can use them to navigate or to take action.
 *
 * It supports several button types.
 */
export declare class CloButtonGroup implements AfterContentInit {
    private _renderer;
    private _element;
    selectedValue: any;
    options: QueryList<CloButtonGroupOption>;
    onSwitch: EventEmitter<any>;
    switch(value: any): void;
    constructor(_renderer: Renderer2, _element: ElementRef);
    ngAfterContentInit(): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloButtonGroup, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloButtonGroup, "clo-button-group", never, {}, { "onSwitch": "onSwitch"; }, ["options"], never>;
}

//# sourceMappingURL=button-group.d.ts.map