import { DlDateAdapter } from './dl-date-adapter';
/**
 * Adapts `Date` to be usable as a date by date/time components that work with dates.
 **/
import * as ɵngcc0 from '@angular/core';
export declare class DlDateAdapterNative extends DlDateAdapter<Date> {
    /**
     * Create a new instance of a `moment` type from milliseconds.
     * @param milliseconds
     *  a time value as milliseconds (local time zone)
     * @returns
     *  an instance of `moment` for the specified moment in time.
     */
    fromMilliseconds(milliseconds: number): Date;
    /**
     * Returns a moment in time value as milliseconds (local time zone).
     * @param value
     *  a Date or null.
     * @returns
     *  a `value.getTime()` result for the specified `Date` or `null`.
     */
    toMilliseconds(value: Date | null): number | null;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<DlDateAdapterNative, never>;
    static ɵprov: ɵngcc0.ɵɵInjectableDeclaration<DlDateAdapterNative>;
}

//# sourceMappingURL=dl-date-adapter-native.d.ts.map