import { NgbCalendar, NgbPeriod } from './ngb-calendar';
import { NgbDate } from './ngb-date';
import { NgbDateStruct } from './ngb-date-struct';
import { DatepickerViewModel, NgbDayTemplateData, NgbMarkDisabled } from './datepicker-view-model';
import { Observable } from 'rxjs';
import { NgbDatepickerI18n } from './datepicker-i18n';
import * as ɵngcc0 from '@angular/core';
export declare class NgbDatepickerService {
    private _calendar;
    private _i18n;
    private _model$;
    private _select$;
    private _state;
    get model$(): Observable<DatepickerViewModel>;
    get select$(): Observable<NgbDate>;
    set dayTemplateData(dayTemplateData: NgbDayTemplateData);
    set disabled(disabled: boolean);
    set displayMonths(displayMonths: number);
    set firstDayOfWeek(firstDayOfWeek: number);
    set focusVisible(focusVisible: boolean);
    set maxDate(date: NgbDate);
    set markDisabled(markDisabled: NgbMarkDisabled);
    set minDate(date: NgbDate);
    set navigation(navigation: 'select' | 'arrows' | 'none');
    set outsideDays(outsideDays: 'visible' | 'collapsed' | 'hidden');
    constructor(_calendar: NgbCalendar, _i18n: NgbDatepickerI18n);
    focus(date: NgbDate): void;
    focusMove(period?: NgbPeriod, number?: number): void;
    focusSelect(): void;
    open(date: NgbDate): void;
    select(date: NgbDate, options?: {
        emitEvent?: boolean;
    }): void;
    toValidDate(date: NgbDateStruct, defaultValue?: NgbDate): NgbDate;
    private _nextState;
    private _patchContexts;
    private _updateState;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<NgbDatepickerService, never>;
    static ɵprov: ɵngcc0.ɵɵInjectableDeclaration<NgbDatepickerService>;
}

//# sourceMappingURL=datepicker-service.d.ts.map