import { QueryList, OnInit } from '@angular/core';
import { NgbModal } from '../../modal/modal.module';
import * as ɵngcc0 from '@angular/core';
export declare class CloNotificationItem {
    /**
     *  If 'true' will not have a a red dot next to notification
     */
    read: boolean;
    /**
     *  The notification type
     *
     *  Available types include ['transit']
     */
    type: string;
    /**
     *  An image url to display next to the notification
     *
     */
    previewImage: string;
    /**
     *  The notification header
     */
    headerText: string;
    /**
     *  The notification message
     */
    message: string;
    /**
     * Details about the notification (cart information, etc.)
     */
    details: string;
    /**
     *  The time from the notification being created to now as a string (ex: '2 minutes ago')
     */
    time: string;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloNotificationItem, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloNotificationItem, "clo-notification-item", never, { "read": "read"; "type": "type"; "previewImage": "previewImage"; "headerText": "headerText"; "message": "message"; "details": "details"; "time": "time"; }, {}, never>;
}
export declare class CloNotifications implements OnInit {
    private modalService;
    items: QueryList<CloNotificationItem>;
    unread: boolean;
    constructor(modalService: NgbModal);
    open(content: any): void;
    ngOnInit(): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloNotifications, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloNotifications, "clo-notifications", never, { "unread": "unread"; }, {}, ["items"], never>;
}

//# sourceMappingURL=notifications.d.ts.map