import { EventEmitter, OnInit, QueryList, TemplateRef } from '@angular/core';
import { CheckboxControlValueAccessor, RadioControlValueAccessor } from '@angular/forms';
import * as ɵngcc0 from '@angular/core';
export declare class CloChoiceLabel {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloChoiceLabel, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloChoiceLabel, "clo-choic-label", never, {}, {}, never>;
}
export declare class CloChoiceOption {
    isDefault: boolean;
    label: string;
    value: any;
    id: string;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloChoiceOption, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloChoiceOption, "clo-choice-option", never, { "isDefault": "isDefault"; "label": "label"; "value": "value"; "id": "id"; }, {}, never>;
}
export declare class CloRadioOption extends RadioControlValueAccessor {
    /**
     * Boolean value to determine if input is disabled
     */
    disabled: boolean;
    isDefault: boolean;
    label: string;
    id: string;
    name: string;
    radioValue: string | number | boolean;
    values: {};
    val: string | number | boolean;
    onChange: any;
    onTouched: any;
    setDisabled: any;
    change(value: string | number | boolean): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    writeValue(value: string | number | boolean): void;
    ngOnInit(): void;
    setDisabledState(isDisabled: boolean): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloRadioOption, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloRadioOption, "clo-radio-option", never, { "val": "value"; "disabled": "disabled"; "isDefault": "isDefault"; "label": "label"; "id": "id"; "name": "name"; "radioValue": "radioValue"; }, {}, never>;
}
export declare class CloCheckboxOption extends CheckboxControlValueAccessor {
    /**
     * Boolean value to determine if input is disabled
     */
    disabled: boolean;
    isDefault: boolean;
    label: string;
    value: any;
    id: string;
    onChange: (_: any) => void;
    onBlur: (_: any) => void;
    isChecked: boolean;
    onTouched: any;
    setDisabled: any;
    setDisabledState(isDisabled: boolean): void;
    writeValue(obj: boolean): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onChanged($event: any): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloCheckboxOption, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloCheckboxOption, "clo-checkbox-option", never, { "disabled": "disabled"; "isDefault": "isDefault"; "label": "label"; "value": "value"; "id": "id"; }, {}, never>;
}
/**
 *
 */
export declare class CloInputChoice implements OnInit {
    options: QueryList<CloChoiceOption>;
    radioOptions: QueryList<CloRadioOption>;
    checkboxOptions: QueryList<CloCheckboxOption>;
    /**
     * Boolean value to determine if input is disabled
     */
    disabled: boolean;
    /**
     * Type of the input.
     *
     *  The following types are supported: `'radio'`, `'checkbox'`
     */
    type: 'radio' | 'checkbox';
    /**
     * The input name
     */
    name: string;
    /**
     * An error message
     */
    errorMessage: boolean;
    /**
     * Boolean to determine if input is required
     */
    required: boolean;
    inline: boolean;
    change: EventEmitter<any>;
    ngOnInit(): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloInputChoice, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloInputChoice, "clo-input-choice", never, { "inline": "inline"; "disabled": "disabled"; "type": "type"; "name": "name"; "errorMessage": "errorMessage"; "required": "required"; }, { "change": "change"; }, ["options", "radioOptions", "checkboxOptions"], never>;
}

//# sourceMappingURL=choice-input.d.ts.map