import { ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DateButton } from '../date-picker/dl-date-time-picker';
/**
 * Use text fields in forms to help people enter, select, and search for text. Text fields are normally found within a form but can also
 * be part of a modal, search, or card. Common text input types include: usernames, descriptions, URLs, emails, addresses,
 * and plain text searches.
 */
import * as ɵngcc0 from '@angular/core';
export declare class CloDatePicker implements ControlValueAccessor {
    /**
     * Boolean value for disabling the field
     */
    disabled: boolean;
    /**
     * Placeholder Text
     */
    placeholder: string;
    /**
     * Error Message
     */
    errorMessage: string;
    /**
     * Boolean for whether the field is required
     *
     */
    required: boolean;
    /**
     * Boolean for whether the field is readOnly
     *
     */
    readOnly: boolean;
    minDate: Date;
    maxDate: Date;
    inputId: string;
    val: string | Date;
    dateInput: ElementRef;
    dateDropdown: ElementRef;
    change: EventEmitter<any>;
    get value(): string | Date;
    set value(val: string | Date);
    onChange: any;
    onTouched: any;
    setDisabled: any;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    writeValue(value: any): void;
    centerInScreen(e: any): void;
    setDisabledState(isDisabled: boolean): void;
    blur(e: any): void;
    startDatePickerFilter: (dateButton: DateButton, viewName: string) => boolean;
    updateValue(e: any, date?: any): void;
    private checkMaxDate;
    private checkMinDate;
    updateInput(e: any): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloDatePicker, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloDatePicker, "clo-datepicker", never, { "errorMessage": "errorMessage"; "val": "value"; "disabled": "disabled"; "placeholder": "placeholder"; "required": "required"; "readOnly": "readOnly"; "minDate": "minDate"; "maxDate": "maxDate"; "inputId": "inputId"; }, { "change": "change"; }, never, ["*"]>;
}

//# sourceMappingURL=date-input.d.ts.map