import { ElementRef, EventEmitter, OnInit, Renderer2 } from '@angular/core';
import { FormControl } from '@angular/forms';
import { ControlValueAccessor } from '@angular/forms';
import * as ɵngcc0 from '@angular/core';
interface Item {
    label: string;
    value: string;
}
/**
 * Use this component to create a drop-down list with several options
 */
export declare class CloInputSelect implements OnInit, ControlValueAccessor {
    private renderer;
    /**
     * Object value for the dropdown selected option
     * {label: string, value: any}
     */
    selectedOption: Item;
    /**
     * String value for the ID of the drop down
     */
    dropdownID: string;
    /**
     * String value for input name
     */
    inputName: any;
    /**
     * Objects for the drop down
     * {label: string, value: any}
     */
    objects: Item[];
    /**
     * String value for the title of the dropdown
     */
    title: string;
    /**
     * String value for the placeholder text of the dropdown
     */
    placeholder: string;
    /**
     * String value for the error message
     */
    errorMessage: string;
    /**
     * Boolean value for whether the field is required
     *
     */
    required: boolean;
    /**
     * Boolean value for whether selectedOption is a default value and should be the primary color.
     *
     */
    isDefaultValue: boolean;
    defaultValue: Item;
    disabled: boolean;
    formControl: FormControl;
    valueChange: EventEmitter<any>;
    input: ElementRef;
    dropdownOptions: ElementRef;
    val: string;
    get value(): string;
    set value(val: string);
    onChange: any;
    onTouched: any;
    setDisabled: any;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    /**
     * Method called when an option has been selected in the dropdown
     */
    selectOption(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    writeValue(value: any): void;
    blurred(event_name: any): void;
    isiOS(): RegExpMatchArray;
    setDisabledState(isDisabled: boolean): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloInputSelect, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloInputSelect, "clo-input-select", never, { "dropdownID": "dropdownID"; "errorMessage": "errorMessage"; "isDefaultValue": "isDefaultValue"; "disabled": "disabled"; "selectedOption": "selectedOption"; "inputName": "inputName"; "objects": "objects"; "title": "title"; "placeholder": "placeholder"; "required": "required"; "defaultValue": "defaultValue"; "formControl": "formControl"; }, { "valueChange": "valueChange"; }, never, never>;
}
export {};

//# sourceMappingURL=select-input.d.ts.map