import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
/**
 * Use text fields in forms to help people enter, select, and search for text. Text fields are normally found within a form but can also
 * be part of a modal, search, or card. Common text input types include: usernames, descriptions, URLs, emails, addresses,
 * and plain text searches.
 */
import * as ɵngcc0 from '@angular/core';
export declare class CloInputText implements OnInit, ControlValueAccessor {
    private renderer;
    /**
     * The input type, defaults to 'text'
     * The following types are supported:   `'email'`, `'password'`,
     `'tel'`, `'text'`, `'url', 'search'`
     */
    get type(): string;
    set type(value: string);
    protected _type: string;
    /**
     * A directive, defaults to ''
     * The following types are supported:   `'currency'`
     */
    get directive(): string;
    set directive(value: string);
    protected _directive: string;
    /**
     * Boolean value for disabling the field
     */
    disabled: boolean;
    /**
     * Placeholder Text
     */
    placeholder: string;
    /**
     * Error Message
     */
    errorMessage: string;
    /**
     * Boolean for whether the field is required
     *
     */
    required: boolean;
    /**
     * Boolean for whether the field is readOnly
     *
     */
    readOnly: boolean;
    name: string;
    val: string;
    el: ElementRef;
    invalid: boolean;
    valid: boolean;
    control: FormControl;
    get value(): string;
    set value(val: string);
    protected _validateType(): void;
    protected _validateDirective(): void;
    ngOnInit(): void;
    onChangeFn: (_: any) => void;
    onTouchedFn: () => void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onChange(): void;
    onKeyUp(e: any): void;
    writeValue(value: any): void;
    setDisabledState(isDisabled: boolean): void;
    constructor(renderer: Renderer2);
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloInputText, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloInputText, "clo-input-text", never, { "errorMessage": "errorMessage"; "type": "type"; "directive": "directive"; "val": "value"; "disabled": "disabled"; "placeholder": "placeholder"; "required": "required"; "readOnly": "readOnly"; "name": "name"; }, {}, never, ["*"]>;
}

//# sourceMappingURL=text-input.d.ts.map