/**
 * Use textarea fields in forms to provide descriptions. Textarea fields are normally
 * found within a form but can also be part of a modal.
 */
import * as ɵngcc0 from '@angular/core';
export declare class CloInputTextarea {
    id: string;
    label: string;
    name: string;
    rows: number;
    cols: number;
    /**
      * Boolean value for whether the field is disabled
     */
    disabled: boolean;
    /**
     * String value for the placeholder text
     */
    placeholder: string;
    /**
     * String value for the error message
     */
    errorMessage: string;
    /**
     * Boolean value for whether the field is required
     *
     */
    required: boolean;
    /**
     * Boolean for whether the field is readOnly
     *
     */
    readOnly: boolean;
    /**
     * String for the value entered into the textarea
     *
     */
    value: string;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloInputTextarea, never>;
    static ɵcmp: ɵngcc0.ɵɵComponentDeclaration<CloInputTextarea, "clo-input-textarea", never, { "rows": "rows"; "cols": "cols"; "id": "id"; "label": "label"; "name": "name"; "disabled": "disabled"; "placeholder": "placeholder"; "errorMessage": "errorMessage"; "required": "required"; "readOnly": "readOnly"; "value": "value"; }, {}, never, never>;
}

//# sourceMappingURL=textarea-input.d.ts.map