import { TemplateRef } from '@angular/core';
/**
 * The stepnavigation item represents an item that is rendered inside the step navigation component
 **/
import * as ɵngcc0 from '@angular/core';
export declare class CloStepNavigationItem {
    templateRef: TemplateRef<any>;
    /**
     * The Title of the step navigation item
     */
    title: string;
    /**
     * The Subtitle of the step navigation item:
     * If this includes a date, send this as "Status change date"
     * Without the colon
     */
    subtitle: string;
    /**
     * The date (if any) to attach to the subtitle
     */
    date: string;
    /**
     * Set this to 'true' if this is the selected state
     */
    selected: boolean;
    /**
     * Set this to 'true' if the state is complete
     */
    completed: boolean;
    constructor(templateRef: TemplateRef<any>);
    setSelected(state: boolean): void;
    static ɵfac: ɵngcc0.ɵɵFactoryDeclaration<CloStepNavigationItem, never>;
    static ɵdir: ɵngcc0.ɵɵDirectiveDeclaration<CloStepNavigationItem, "ng-template[clo-step-navigation-item]", never, { "selected": "selected"; "completed": "completed"; "title": "title"; "subtitle": "subtitle"; "date": "date"; }, {}, never>;
}

//# sourceMappingURL=stepnavigationitem.d.ts.map