import { ControlValueAccessor } from '@angular/forms';
export declare class BaseControlValueAccessor<T> implements ControlValueAccessor {
    disabled: boolean;
    value: T;
    /**
     * Call when value has changed programmatically
     */
    onChange(newVal: T): void;
    onTouched(_?: any): void;
    /**
     * Model -> View changes
     */
    writeValue(obj: T): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
}
